Index: src/backend/utils/misc/guc.c
===================================================================
RCS file: /home/neilc/postgres/cvs_root/pgsql/src/backend/utils/misc/guc.c,v
retrieving revision 1.357
diff -c -r1.357 guc.c
*** src/backend/utils/misc/guc.c	19 Oct 2006 18:32:47 -0000	1.357
--- src/backend/utils/misc/guc.c	26 Oct 2006 17:35:33 -0000
***************
*** 587,593 ****
  	{
  		/* currently undocumented, so don't show in SHOW ALL */
  		{"exit_on_error", PGC_USERSET, UNGROUPED,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NO_SHOW_ALL | GUC_NOT_IN_SAMPLE
  		},
--- 587,593 ----
  	{
  		/* currently undocumented, so don't show in SHOW ALL */
  		{"exit_on_error", PGC_USERSET, UNGROUPED,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NO_SHOW_ALL | GUC_NOT_IN_SAMPLE
  		},
***************
*** 669,675 ****
  #ifdef BTREE_BUILD_STATS
  	{
  		{"log_btree_build_stats", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 669,675 ----
  #ifdef BTREE_BUILD_STATS
  	{
  		{"log_btree_build_stats", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
***************
*** 761,767 ****
  #ifdef LOCK_DEBUG
  	{
  		{"trace_locks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 761,767 ----
  #ifdef LOCK_DEBUG
  	{
  		{"trace_locks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
***************
*** 770,776 ****
  	},
  	{
  		{"trace_userlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 770,776 ----
  	},
  	{
  		{"trace_userlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
***************
*** 779,785 ****
  	},
  	{
  		{"trace_lwlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 779,785 ----
  	},
  	{
  		{"trace_lwlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
***************
*** 788,794 ****
  	},
  	{
  		{"debug_deadlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 788,794 ----
  	},
  	{
  		{"debug_deadlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
***************
*** 1050,1057 ****
  	},
  	{
  		{"from_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which subqueries are not "
! 						 "collapsed."),
  			gettext_noop("The planner will merge subqueries into upper "
  				"queries if the resulting FROM list would have no more than "
  						 "this many items.")
--- 1050,1057 ----
  	},
  	{
  		{"from_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which subqueries "
! 						 "are not collapsed."),
  			gettext_noop("The planner will merge subqueries into upper "
  				"queries if the resulting FROM list would have no more than "
  						 "this many items.")
***************
*** 1061,1071 ****
  	},
  	{
  		{"join_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which JOIN constructs are not "
! 						 "flattened."),
  			gettext_noop("The planner will flatten explicit JOIN "
! 			"constructs into lists of FROM items whenever a list of no more "
! 						 "than this many items would result.")
  		},
  		&join_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
--- 1061,1071 ----
  	},
  	{
  		{"join_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which JOIN "
! 						 "constructs are not flattened."),
  			gettext_noop("The planner will flatten explicit JOIN "
! 						 "constructs into lists of FROM items whenever a "
! 						 "list of no more than this many items would result.")
  		},
  		&join_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
***************
*** 1371,1377 ****
  	{
  		/* Not for general use */
  		{"pre_auth_delay", PGC_SIGHUP, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_UNIT_S
  		},
--- 1371,1377 ----
  	{
  		/* Not for general use */
  		{"pre_auth_delay", PGC_SIGHUP, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_UNIT_S
  		},
***************
*** 1465,1471 ****
  
  	{
  		{"bgwriter_delay", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer sleep time between rounds in milliseconds"),
  			NULL,
  			GUC_UNIT_MS
  		},
--- 1465,1471 ----
  
  	{
  		{"bgwriter_delay", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer sleep time between rounds in milliseconds."),
  			NULL,
  			GUC_UNIT_MS
  		},
***************
*** 1475,1481 ****
  
  	{
  		{"bgwriter_lru_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of LRU pages to flush per round"),
  			NULL
  		},
  		&bgwriter_lru_maxpages,
--- 1475,1481 ----
  
  	{
  		{"bgwriter_lru_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of LRU pages to flush per round."),
  			NULL
  		},
  		&bgwriter_lru_maxpages,
***************
*** 1484,1490 ****
  
  	{
  		{"bgwriter_all_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of all pages to flush per round"),
  			NULL
  		},
  		&bgwriter_all_maxpages,
--- 1484,1490 ----
  
  	{
  		{"bgwriter_all_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of all pages to flush per round."),
  			NULL
  		},
  		&bgwriter_all_maxpages,
***************
*** 1493,1499 ****
  
  	{
  		{"log_rotation_age", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N minutes"),
  			NULL,
  			GUC_UNIT_MIN
  		},
--- 1493,1499 ----
  
  	{
  		{"log_rotation_age", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N minutes."),
  			NULL,
  			GUC_UNIT_MIN
  		},
***************
*** 1503,1509 ****
  
  	{
  		{"log_rotation_size", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N kilobytes"),
  			NULL,
  			GUC_UNIT_KB
  		},
--- 1503,1509 ----
  
  	{
  		{"log_rotation_size", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N kilobytes."),
  			NULL,
  			GUC_UNIT_KB
  		},
***************
*** 1533,1539 ****
  
  	{
  		{"max_identifier_length", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows the maximum identifier length"),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
--- 1533,1539 ----
  
  	{
  		{"max_identifier_length", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows the maximum identifier length."),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
***************
*** 1543,1549 ****
  
  	{
  		{"block_size", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows size of a disk block"),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
--- 1543,1549 ----
  
  	{
  		{"block_size", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows the size of a disk block."),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
***************
*** 1708,1714 ****
  
  	{
  		{"bgwriter_lru_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of LRU buffers to flush per round"),
  			NULL
  		},
  		&bgwriter_lru_percent,
--- 1708,1714 ----
  
  	{
  		{"bgwriter_lru_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of LRU buffers to flush per round."),
  			NULL
  		},
  		&bgwriter_lru_percent,
***************
*** 1717,1723 ****
  
  	{
  		{"bgwriter_all_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of all buffers to flush per round"),
  			NULL
  		},
  		&bgwriter_all_percent,
--- 1717,1723 ----
  
  	{
  		{"bgwriter_all_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of all buffers to flush per round."),
  			NULL
  		},
  		&bgwriter_all_percent,
***************
*** 1840,1847 ****
  
  	{
  		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
! 			gettext_noop("Controls information prefixed to each log line"),
! 			gettext_noop("if blank no prefix is used")
  		},
  		&Log_line_prefix,
  		"", NULL, NULL
--- 1840,1847 ----
  
  	{
  		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
! 			gettext_noop("Controls information prefixed to each log line."),
! 			gettext_noop("If blank, no prefix is used.")
  		},
  		&Log_line_prefix,
  		"", NULL, NULL
***************
*** 2132,2138 ****
  	},
  	{
  		{"timezone_abbreviations", PGC_USERSET, CLIENT_CONN_LOCALE,
! 			gettext_noop("Selects a file of time zone abbreviations"),
  			NULL,
  		},
  		&timezone_abbreviations_string,
--- 2132,2138 ----
  	},
  	{
  		{"timezone_abbreviations", PGC_USERSET, CLIENT_CONN_LOCALE,
! 			gettext_noop("Selects a file of time zone abbreviations."),
  			NULL,
  		},
  		&timezone_abbreviations_string,
***************
*** 2152,2159 ****
  	{
  		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the owning group of the Unix-domain socket."),
! 			gettext_noop("(The owning user of the socket is always the user "
! 						 "that starts the server.)")
  		},
  		&Unix_socket_group,
  		"", NULL, NULL
--- 2152,2159 ----
  	{
  		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the owning group of the Unix-domain socket."),
! 			gettext_noop("The owning user of the socket is always the user "
! 						 "that starts the server.")
  		},
  		&Unix_socket_group,
  		"", NULL, NULL
***************
*** 2220,2226 ****
  
  	{
  		{"hba_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"hba\" configuration file"),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
--- 2220,2226 ----
  
  	{
  		{"hba_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"hba\" configuration file."),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
***************
*** 2230,2236 ****
  
  	{
  		{"ident_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"ident\" configuration file"),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
--- 2230,2236 ----
  
  	{
  		{"ident_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"ident\" configuration file."),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
